<ActionBar title="Authentication" class="action-bar"></ActionBar>

<StackLayout verticalAlignment="center">
    <Label [text]="feedback"></Label>

    <TextField hint="Email" keyboardType="email" [(ngModel)]="user.email"></TextField>

    <TextField hint="Password" secure="true" [(ngModel)]="user.password"></TextField>
    
    <ng-container *ngIf="!signup">

        <Button text="Login" (tap)="login()"></Button>
        <Button text="Sign up" (tap)="signup = true"></Button>

    </ng-container>
    
    <ng-container *ngIf="signup">
        <TextField hint="Confirm Password" secure="true" 
            [(ngModel)]="confirm"></TextField>
        
        <Button text="Back to Login" (tap)="signup = false"></Button>
        <Button text="Register" (tap)="register()"></Button>
    </ng-container>
</StackLayout>